#ifndef _h_SCREEN_
#define _h_SCREEN_

#ifndef _h_TYPES_
# include <cv/types.h>
#endif


enum videoMode{
	smBW40	= 0,
	smCO40	= 1,
	smBW80	= 2,
	smCO80	= 3,
	smMono	= 7,

	smFAuto	= 0x0000,
	smF8x16	= 0x2000,
	smF8x14	= 0x4000,
	smF8x8	= smF8x14 | smF8x16,
	smFont	= smF8x8
};


extern volatile const word STD_ far &_wscreen;
extern volatile const byte STD_ far &_hscreen;
extern volatile const word STD_ far &_hchar;
extern volatile const byte STD_ far &_scrmode;

#define scrwidth	(_wscreen)
#define scrheight	(_hscreen ? _hscreen + 1 : 25)
#define charheight	(_hchar ? _hchar : 8)

#endif /* _h_SCREEN_ */
