#ifndef _h_TRACE_
#define _h_TRACE_

#ifndef _h_STRING_
# include <cv/string2.h>
#endif


extern bool	STD_	_allowredirect,
		STD_	_alwaysconsole,
		STD_	_warn,
		STD_	_trace;

extern count	STD_	_msgwidth;


count FAST_ say(CVP, size_t);
count FAST_ say(CStr);
count FAST_ say(count);

void FAST_ error_(int cond, int ret, count line,
			CStr msg, CStr = NULL, CStr = NULL);
void FAST_ warning_(count line, CStr msg, CStr = NULL);
void FAST_ trace_(CStr msg, CStr = NULL, CStr = NULL);

void FAST_ error_(int cond, int ret, count line,
			charSeq msg, charSeq = nullSeq, charSeq = nullSeq);
void FAST_ warning_(count line, charSeq msg, charSeq = nullSeq);
void FAST_ trace_(charSeq msg, charSeq = nullSeq, charSeq = nullSeq);

void FAST_ error(int cond, int ret, count line,
			CStr msg, CStr = NULL, CStr = NULL);
void FAST_ warning(count line, CStr msg, CStr = NULL);
void FAST_ trace(CStr msg, CStr = NULL, CStr = NULL);

void FAST_ error(int cond, int ret, count line,
			charSeq msg, charSeq = nullSeq, charSeq = nullSeq);
void FAST_ warning(count line, charSeq msg, charSeq = nullSeq);
void FAST_ trace(charSeq msg, charSeq = nullSeq, charSeq = nullSeq);

#endif /* _h_TRACE_ */
