#include "libdef.inc"
#if !defined(STD_CODE) && defined(ASM86_CODE)
# include <cv/asm86.h>
#endif
#include <cv/string2.h>

/* "Check for stack overflow" off for BC++ 3.1 */
#pragma option -N-

size_t FAST_ checklen(CStr s){
#if defined(STD_CODE) || !defined(ASM86_CODE)

#pragma intrinsic strlen

	size_t sz = 0; if(s) sz = strlen(s); return sz;
#else
#  ifdef FARDATA
	I LES_ di, DPTR_(s); _AX = _ES; _AX |= _DI;
#  else
	_DI = FP_OFF(s); _ES = _AX = FP_SEG(s); _AX = _DI; _AX |= _AX;
#  endif
	if(!isFLAG(Zero)){
		_CLR(_AX); _CX = size_t(maxUnsigned(size_t));
		I repne scasb; _AX = ~_CX - 1;
	}
	return _AX;
#endif
}
