#include <cv/dos.h>
#include <cv/gcstream.h>


//*******************************************************************
// : ᪮ 㭪樨  -⥪ BC++ ࠡ 
// ४⭮  ⢮ ப ࠭, ⫨  25  43/50,
//  ⠪  ᪮७   㡫஢ , ᯮ짮
// אַ   _video - ७  ⥪ BC++
//*******************************************************************
// : winleft, wintop, winright  winbottom  _video 
//  0,   ६  祭, 頥 gettextinfo,  1
//*******************************************************************


extern text_info _video;


//---------------------------------------------------------
static int gcstr_construct(){
	directvideo = _wscroll = 0;
	gstreamsync();
	return 0;
}

static int temp = gcstr_construct();

//---------------------------------------------------------
void gstreamsync(){
	if(_video.winright == _video.screenwidth - 1)
			_video.winright = scrwidth - 1;
	if(_video.winbottom == _video.screenheight - 1)
			_video.winbottom = scrheight - 1;
	_video.screenwidth = scrwidth;
	_video.screenheight = scrheight;
}

//-------------------------------------------------------------------
// ⢨ ⮩ 㭪樨 筮 (  ࠡ⪨ ࠢ
//   ப, 室  ࠭ ) ᫥饬:
//	_CX = strlen(s); _BX = back; _AH = 9; _AL = ''; asm int 10h
//	textattr(attr); cputs(s); textattr(attr);

#define BELL		'\a'
#define BS		'\b'
#define LF		'\n'
#define CR		'\r'

#define setCursorPos(row, col)\
		_BH = 0; _DL = col; _DH = row; _AH = 2; asm int 10h
#define outChar(attr, ch)\
		_BX = attr; _CX = 1; _AH = 9; _AL = ch; asm int 10h
#define outCharTTY(back, ch)\
		_BL = back; _AH = 14; _AL = ch; asm int 10h

void gputs(CStr str){
	PCStr s = str;
	int	col, row;
	byte	attr, back, ch;

	bool graph = bool(_scrmode > smCO80 && _scrmode != smMono);
	attr = _video.attribute; back = attr >> 4;
	if(graph) attr = ((attr & 0xF) ^ back) | 0x80;

	//---  ⥪  
	_BH = 0; _AH = 3; asm int 10h
	row = _DH; col = _DL;

	while((ch = *s++) != '\0'){
		switch(ch){
		case BELL:	outCharTTY(back, BELL); break;
		case BS:	if(col > _video.winleft) col--; break;
		case CR:	col = _video.winleft; break;
		case LF:	row++; break;
		default:	setCursorPos(row, col);
				//--- 뤠 䮭 梥  ᠬ 
				if(graph) outChar(back, '');
				outChar(attr, ch);
				col++; break;
		} // switch

		//---  ப?
		if(col > _video.winright) row++, col = _video.winleft;

		//--- ப⪠ ࠭?
		if(row > _video.winbottom) row--;
	} // while
	setCursorPos(row, col);
}

//=========================================================
int gconbuf::overflow(int c){
	activate();
	char s[3] = {c, 0, 0};
	if(c == '\n') s[1] = '\r';
	gputs(s);
	return c;
}

//---------------------------------------------------------
gconstream::gconstream() :constream(){
	long flg = flags();
	init(&buf); cin.tie(this);
	flags(flg);
}

//---------------------------------------------------------
void gconstream::sync() { gstreamsync(); rdbuf()->deactivate(); }
